Skip to main content
POST
/
smart-contracts
/
{address_hash_param}
/
audit-reports
Submit audit report
curl --request POST \
  --url 'https://api.blockscout.com/{chain_id}/api/v2/smart-contracts/{address_hash_param}/audit-reports?apikey=' \
  --header 'Content-Type: application/json' \
  --data '
{
  "audit_company_name": "<string>",
  "audit_publish_date": "2023-12-25",
  "audit_report_url": "<string>",
  "is_project_owner": true,
  "project_name": "<string>",
  "project_url": "<string>",
  "submitter_email": "<string>",
  "submitter_name": "<string>",
  "comment": "<string>"
}
'
{
  "message": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://blockscout-mf-14206.mintlify.app/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

apikey
string
query
required

API key for authentication. Required for all Pro API endpoints. Obtain your API key at https://dev.blockscout.com/

Path Parameters

address_hash_param
string
required

Address hash in the path

Pattern: ^0x([A-Fa-f0-9]{40})$

Query Parameters

apikey
string
required

API key for rate limiting or for sensitive endpoints

key
string

Secret key for getting access to restricted resources

Body

application/json
audit_company_name
string
required
audit_publish_date
string<date>
required
audit_report_url
string
required
is_project_owner
boolean
required
project_name
string
required
project_url
string
required
submitter_email
string
required
submitter_name
string
required
comment
string | null

Response

Audit report submission is successful.

message
string